### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class CLIOptionsMeta

java.lang.Object
com.sas.services.deployment.CLIOptionsMeta

@SASScope("ALL") @BinaryCompatibilityOnly public final class CLIOptionsMeta extends Object
Command line options used to specify the configuration used for a SAS Metadata Server.

SAS Metadata Server Command Line Options
Option | Description
--- | ---
`metaserver` | Name of the option used to specify the SAS Metadata Server's host
`metaport` | Name of the option used to specify the SAS Metadata Server's port
`metarepository` | Name of the option used to specify the name of a repository in a SAS Metadata Server
User/Password Options
`metauser` | Name of the option used to specify the user ID used to login to the SAS Metadata Server
`metapass` | Name of the option used to specify the user password used to login to the SAS Metadata Server
SSPI Options
`secpackagelist` | Name of the option used to specify the SSPI Security Package List (e.g. "Kerberos,NTLM")
`metaspn` | Name of the option used to specify the optional SSPI service principal name

Since:
  9.2

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLIOptionsMeta()`
  Constructs a default instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.commons.cli.Option`
  `createOptionMetaServer()`
  Creates the command line option used to designate the metadata server.
  `org.apache.commons.cli.Option`
  `createOptionPassword()`
  Creates the command line option used to designate the user password to be used to login to the metadata server.
  `org.apache.commons.cli.Option`
  `createOptionPasswordOnStdin()`
  Creates the optional command line option used to designate whether or not the user's login credential should be passed to the application via stdin.
  `org.apache.commons.cli.Option`
  `createOptionPort()`
  Creates the command line option used to designate the metadata server's port.
  `org.apache.commons.cli.Option`
  `createOptionRepository()`
  Creates the command line option used to designate the name of a metadata server repository.
  `org.apache.commons.cli.Option`
  `createOptionSecPackageList()`
  Creates the command line option used to designate a security package list.
  `org.apache.commons.cli.Option`
  `createOptionSPN()`
  Creates the command line option used to designate the service principal name.
  `org.apache.commons.cli.Option`
  `createOptionUser()`
  Creates the command line option used to designate the user ID to be used to login to the metadata server.
  `String`
  `getNameOfOptionPassword()`
  Gets the command line option "metapass" used to designate the password used to login to the SAS Metadata Server.
  `String`
  `getNameOfOptionPasswordOnStdin()`
  Gets the command line option "password_on_stdin" used to designate a whether or not the user's login credential should be passed into the application on stdin.
  `String`
  `getNameOfOptionPort()`
  Gets the command line option "metaport" used to designate the SAS Metadata Server's port.
  `String`
  `getNameOfOptionRepository()`
  Gets the command line option "metarepository" used to designate a repository in a SAS Metadata Server.
  `String`
  `getNameOfOptionSecPackageList()`
  Gets the command line option "secpackagelist" used to designate a security package list.
  `String`
  `getNameOfOptionServer()`
  Gets the command line option "metaserver" used to designate the SAS Metadata Server's host.
  `String`
  `getNameOfOptionSPN()`
  Gets the command line option "metaspn" used to designate a service principal name.
  `String`
  `getNameOfOptionUser()`
  Gets the command line option "metauser" used to designate the user ID used to login to the SAS Metadata Server.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CLIOptionsMeta

    public CLIOptionsMeta()
    Constructs a default instance.
    Since:
      9.2

- ## Method Details

  - ### getNameOfOptionServer

    public String getNameOfOptionServer()
    Gets the command line option "metaserver" used to designate the SAS Metadata Server's host.
    Returns:
      Command line option "metaserver" used to designate the SAS Metadata Server's host. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionPort

    public String getNameOfOptionPort()
    Gets the command line option "metaport" used to designate the SAS Metadata Server's port.
    Returns:
      Command line option "metaport" used to designate the SAS Metadata Server's port. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionUser

    public String getNameOfOptionUser()
    Gets the command line option "metauser" used to designate the user ID used to login to the SAS Metadata Server.
    Returns:
      Command line option "metauser" used to designate the user ID used to login to the SAS Metadata Server. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionPassword

    public String getNameOfOptionPassword()
    Gets the command line option "metapass" used to designate the password used to login to the SAS Metadata Server.
    Returns:
      Command line option "metapass" used to designate the password used to login to the SAS Metadata Server. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionRepository

    public String getNameOfOptionRepository()
    Gets the command line option "metarepository" used to designate a repository in a SAS Metadata Server.
    Returns:
      Command line option "metarepository" used to designate a repository in a SAS Metadata Server. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionSPN

    public String getNameOfOptionSPN()
    Gets the command line option "metaspn" used to designate a service principal name.
    Returns:
      Command line option "metaspn" used to designate a service principal name. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionSecPackageList

    public String getNameOfOptionSecPackageList()
    Gets the command line option "secpackagelist" used to designate a security package list.
    Returns:
      Command line option "secpackagelist" used to designate a security package list. A non-`null` value is always returned.
    Since:
      9.2

  - ### getNameOfOptionPasswordOnStdin

    public String getNameOfOptionPasswordOnStdin()
    Gets the command line option "password_on_stdin" used to designate a whether or not the user's login credential should be passed into the application on stdin.
    Returns:
      Command line option "password_on_stdin" used to designate that whether or not the user's login credential should be passed via stdin. A non-`null` value is always returned.
    Since:
      9.2

  - ### createOptionMetaServer

    public org.apache.commons.cli.Option createOptionMetaServer()
    Creates the command line option used to designate the metadata server.
    Returns:
      Required option used to designate the metadata server. A non-`null` value is always returned.
    Since:
      9.2

  - ### createOptionPort

    public org.apache.commons.cli.Option createOptionPort()
    Creates the command line option used to designate the metadata server's port.
    Returns:
      Required option used to designate the metadata server's port. A non-`null` value is always returned.
    Since:
      9.2

  - ### createOptionUser

    public org.apache.commons.cli.Option createOptionUser()
    Creates the command line option used to designate the user ID to be used to login to the metadata server. Use this option with the `password` to specify an login credential configuration.
    Returns:
      Option used to designate the user ID to be used to login to the metadata server. A non-`null` value is always returned.
    Since:
      9.2
    See Also:
      - `createOptionPassword()`
      - `createOptionSPN()`
      - `createOptionSecPackageList()`

  - ### createOptionPassword

    public org.apache.commons.cli.Option createOptionPassword()
    Creates the command line option used to designate the user password to be used to login to the metadata server. Use this option with the `user` to specify an login credential configuration.
    Returns:
      Optional option used to designate the user ID to be used to login to the metadata server. A non-`null` reference is always returned.
    Since:
      9.2
    See Also:
      - `createOptionUser()`
      - `createOptionSPN()`
      - `createOptionSecPackageList()`

  - ### createOptionPasswordOnStdin

    public org.apache.commons.cli.Option createOptionPasswordOnStdin()
    Creates the optional command line option used to designate whether or not the user's login credential should be passed to the application via stdin.
    Returns:
      Optional option used to indicate whether or not the user's login credential should be passed into the application via stdin. A non-`null` reference is always returned.
    Since:
      9.2

  - ### createOptionRepository

    public org.apache.commons.cli.Option createOptionRepository()
    Creates the command line option used to designate the name of a metadata server repository.
    Returns:
      Required option used to designate the name of a metadata server repository. A non-`null` reference is always returned.
    Since:
      9.2

  - ### createOptionSPN

    public org.apache.commons.cli.Option createOptionSPN()
    Creates the command line option used to designate the service principal name. Use this option with the `secPackageList` to specify an SSPI configuration.
    Returns:
      Option used to designate the service principal name. A non-`null` reference is always returned.
    Since:
      9.2
    See Also:
      - `createOptionSecPackageList()`
      - `createOptionUser()`
      - `createOptionPassword()`
      - `Server.setSPN(String)`

  - ### createOptionSecPackageList

    public org.apache.commons.cli.Option createOptionSecPackageList()
    Creates the command line option used to designate a security package list. Use this option with the `SPN` to specify an SSPI configuration.
    Returns:
      Option used to designate a security package list. A non-`null` reference is always returned.
    Since:
      9.2
    See Also:
      - `createOptionSPN()`
      - `createOptionUser()`
      - `createOptionPassword()`
      - `Server.setSecurityPackageList(String)`